summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHorea Christian <horea.christ@yandex.com>2016-12-09 20:41:02 +0100
committerAmy Winston <amynka@gentoo.org>2016-12-11 10:52:11 +0100
commit4759aaa4c9c3cb967746fe706953b6b519d211ec (patch)
treea4468a4b5eac92635603a429993b8a31afeb5230 /dev-lang/lazarus
parentnet-irc/hexchat: Update live ebuild (diff)
downloadgentoo-4759aaa4c9c3cb967746fe706953b6b519d211ec.tar.gz
gentoo-4759aaa4c9c3cb967746fe706953b6b519d211ec.tar.bz2
gentoo-4759aaa4c9c3cb967746fe706953b6b519d211ec.zip
dev-lang/lazarus: version bump 1.6.2
Closes: #3066 Package-Manager: portage-2.3.3
Diffstat (limited to 'dev-lang/lazarus')
-rw-r--r--dev-lang/lazarus/Manifest1
-rw-r--r--dev-lang/lazarus/lazarus-1.6.2.ebuild76
2 files changed, 77 insertions, 0 deletions
diff --git a/dev-lang/lazarus/Manifest b/dev-lang/lazarus/Manifest
index 13df3102f27..489c2d42ee9 100644
--- a/dev-lang/lazarus/Manifest
+++ b/dev-lang/lazarus/Manifest
@@ -3,3 +3,4 @@ DIST lazarus-1.2.2-0.tar.gz 51558117 SHA256 ac2154c38b3918a08d762977073e606c272c
DIST lazarus-1.2.4-0.tar.gz 51606253 SHA256 e8622f2b29988514c9b7b7ff6cf2058a8b73e9ef0fd7998c82e1e958d2347d28 SHA512 c1858a2b89402d3cfb4baa704cdeb51dc541bf5dcac91230f93f62035988b5e5fec3851bf033876128db5da18713389a9eb6ca73c944dae36c0d6fb30e7727f8 WHIRLPOOL fddb4d650e3400b2fe1cfde1d431be3d752f81dbe715b821f55368628097225ce9156e4065f58c27346cba5a041127c25e7cc80ca15b77aab9e6188cfdd3b215
DIST lazarus-1.2.6-0.tar.gz 51618690 SHA256 c0c7e648716f27edd6f1adf908fd5733654c3cd3db6458582ccd4343a8605eea SHA512 f7f227621ee69b7056dd87dab19e2217496ac2f280e3aa6dacdac890e55dfb9595a0562c06e50cb4b4f50d021739785d840eb19ec6d77040febb86fe78a5a47a WHIRLPOOL aff1abb59380553e92d956d35393689eed55bd8684a8c182b048cea774236defe9107b0449131a7868526721658f72e7d0c68578a55d56e53e3a68dc7d51fe3a
DIST lazarus-1.6.0-0.tar.gz 55911739 SHA256 cbce02be1ed902a4978a13144446023d955c0db69a1dba42c93a83b8a24f3ca8 SHA512 6ac84325aa2caf7896b3cb55df72199ab04bf25320257510b288cde8fb679161834dca9ad3d07d39c164c05ab35c0cd248651a13c826d454c0dc84a558589576 WHIRLPOOL 2e3b1ac39fd79dcb457bfbe22c73ddcf781e9e5f0c263d88bd9b6e2ff9e417f2e1094702e1bc190788a1f5a86470b8165bc586f22d02a8b370db9245cfd9131e
+DIST lazarus-1.6.2-0.tar.gz 55949169 SHA256 eae73ac1d50456d191e13601ea5c333a8816732f6fcd0b849c3685da869cc1ef SHA512 9fb428ac5b38c0c37f909aaf06a43343f3231e9209318faf565cc08ac498c0dfb136a2f6266d437f93b5cf81e6281d747a234fef399fc6d2cb044b13397562d9 WHIRLPOOL 62917479986e85d68af5c73c77a5d1b05262f48bfab08f23b6ef8144ae04bb6b4d6935446a3d9cb582a404452eae024f947680550591ed70f0ae3bf0babbfe99
diff --git a/dev-lang/lazarus/lazarus-1.6.2.ebuild b/dev-lang/lazarus/lazarus-1.6.2.ebuild
new file mode 100644
index 00000000000..65d1eaa92e4
--- /dev/null
+++ b/dev-lang/lazarus/lazarus-1.6.2.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit eutils
+
+FPCVER="3.0.0"
+
+DESCRIPTION="Lazarus IDE is a feature rich visual programming environment emulating Delphi"
+HOMEPAGE="http://www.lazarus.freepascal.org/"
+SRC_URI="https://sourceforge.net/projects/${PN}/files/Lazarus%20Zip%20_%20GZip/Lazarus%201.6.2/${P}-0.tar.gz"
+
+LICENSE="GPL-2 LGPL-2.1-with-linking-exception"
+SLOT="0" # Note: Slotting Lazarus needs slotting fpc, see DEPEND.
+KEYWORDS="~amd64 ~x86"
+IUSE="minimal"
+
+DEPEND=">=dev-lang/fpc-${FPCVER}[source]
+ net-misc/rsync
+ x11-libs/gtk+:2
+ >=sys-devel/binutils-2.19.1-r1:="
+RDEPEND="${DEPEND}
+ !=gnome-base/librsvg-2.16.1"
+
+RESTRICT="strip" #269221
+
+S=${WORKDIR}/${PN}
+
+PATCHES=( "${FILESDIR}"/${PN}-0.9.26-fpcsrc.patch )
+
+src_prepare() {
+ default
+ # Use default configuration (minus stripping) unless specifically requested otherwise
+ if ! test ${PPC_CONFIG_PATH+set} ; then
+ local FPCVER=$(fpc -iV)
+ export PPC_CONFIG_PATH="${WORKDIR}"
+ sed -e 's/^FPBIN=/#&/' /usr/lib/fpc/${FPCVER}/samplecfg |
+ sh -s /usr/lib/fpc/${FPCVER} "${PPC_CONFIG_PATH}" || die
+ #sed -i -e '/^-Xs/d' "${PPC_CONFIG_PATH}"/fpc.cfg || die
+ fi
+}
+
+src_compile() {
+ LCL_PLATFORM=gtk2 emake \
+ $(usex minimal "" "bigide") \
+ -j1
+}
+
+src_install() {
+ diropts -m0755
+ dodir /usr/share
+ # Using rsync to avoid unnecessary copies and cleaning...
+ # Note: *.o and *.ppu are needed
+ rsync -a \
+ --exclude="CVS" --exclude=".cvsignore" \
+ --exclude="*.ppw" --exclude="*.ppl" \
+ --exclude="*.ow" --exclude="*.a"\
+ --exclude="*.rst" --exclude=".#*" \
+ --exclude="*.~*" --exclude="*.bak" \
+ --exclude="*.orig" --exclude="*.rej" \
+ --exclude=".xvpics" --exclude="*.compiled" \
+ --exclude="killme*" --exclude=".gdb_hist*" \
+ --exclude="debian" --exclude="COPYING*" \
+ --exclude="*.app" \
+ "${S}" "${ED%/}"/usr/share \
+ || die "Unable to copy files!"
+
+ dosym ../share/lazarus/startlazarus /usr/bin/startlazarus
+ dosym ../share/lazarus/startlazarus /usr/bin/lazarus
+ dosym ../share/lazarus/lazbuild /usr/bin/lazbuild
+ use minimal || dosym ../share/lazarus/components/chmhelp/lhelp/lhelp /usr/bin/lhelp
+ dosym ../lazarus/images/ide_icon48x48.png /usr/share/pixmaps/lazarus.png
+
+ make_desktop_entry startlazarus "Lazarus IDE" "lazarus" || die "Failed making desktop entry!"
+}